void printi(int val);

int main()
{
  int i, val = 0;

  for (i = 0; i < 10; i++) {
    switch (i) {
    case 0:  /* fall through */
    default: val = i;  break;
    case 2:  /* fall through */
    case 4:  val = 14; break;
    case 8:  val = 18; /* fall through */
    }
    printi(i);
    printi(val);
  }

  return 0;
}
